Bug 1396691 - kernel panic on raspberry pi 3 [NEEDINFO]
Summary: kernel panic on raspberry pi 3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-11-19 00:36 UTC by Jussi Eloranta
Modified: 2017-03-01 12:10 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 12:10:23 UTC
labbott: needinfo? (eloranta)
pbrobinson: needinfo? (eloranta)


Attachments (Terms of Use)

Description Jussi Eloranta 2016-11-19 00:36:32 UTC
Description of problem:

With the latest kernel (4.8.8-300.fc25.armv7hl), I keep getting the following:

Xorg: page allocation failure: order:3, mode:0x2084020(GFP_ATOMIC|__GFP_COMP)
[73083.084079] CPU: 0 PID: 741 Comm: Xorg Not tainted 4.8.8-300.fc25.armv7hl #1
[73083.084088] Hardware name: Generic DT based system
[73083.084135] [<c02192f4>] (unwind_backtrace) from [<c0214108>] (show_stack+0x18/0x1c)
[73083.084160] [<c0214108>] (show_stack) from [<c0516604>] (dump_stack+0x80/0x9c)
[73083.084192] [<c0516604>] (dump_stack) from [<c0355970>] (warn_alloc_failed+0x100/0x12c)
[73083.084218] [<c0355970>] (warn_alloc_failed) from [<c0355d9c>] (__alloc_pages_nodemask+0x37c/0xb78)
[73083.084243] [<c0355d9c>] (__alloc_pages_nodemask) from [<c0372780>] (kmalloc_order+0x24/0x38)
[73083.084266] [<c0372780>] (kmalloc_order) from [<c03727b4>] (kmalloc_order_trace+0x20/0xc4)
[73083.084393] [<c03727b4>] (kmalloc_order_trace) from [<bf1d9350>] (dwc2_map_urb_for_dma+0x68/0x10c [dwc2])
[73083.084521] [<bf1d9350>] (dwc2_map_urb_for_dma [dwc2]) from [<c06ba3a8>] (usb_hcd_submit_urb+0x770/0x8a0)
[73083.084578] [<c06ba3a8>] (usb_hcd_submit_urb) from [<bf2dc9dc>] (rx_submit+0x118/0x298 [usbnet])
[73083.084653] [<bf2dc9dc>] (rx_submit [usbnet]) from [<bf2dcfd8>] (rx_complete+0x150/0x28c [usbnet])
[73083.084698] [<bf2dcfd8>] (rx_complete [usbnet]) from [<c06b8838>] (__usb_hcd_giveback_urb+0xc4/0x120)
[73083.084719] [<c06b8838>] (__usb_hcd_giveback_urb) from [<c06b8c50>] (usb_giveback_urb_bh+0xe0/0xe8)
[73083.084740] [<c06b8c50>] (usb_giveback_urb_bh) from [<c025b214>] (tasklet_action+0x98/0xf0)
[73083.084761] [<c025b214>] (tasklet_action) from [<c025a810>] (__do_softirq+0x1b0/0x308)
[73083.084779] [<c025a810>] (__do_softirq) from [<c025ac40>] (irq_exit+0xa0/0x10c)
[73083.084801] [<c025ac40>] (irq_exit) from [<c02a9c70>] (__handle_domain_irq+0x88/0xbc)
[73083.084828] [<c02a9c70>] (__handle_domain_irq) from [<c08e7130>] (__irq_usr+0x50/0x80)
[73083.084839] Mem-Info:
[73083.084870] active_anon:84715 inactive_anon:78160 isolated_anon:0
                active_file:30481 inactive_file:30171 isolated_file:32
                unevictable:8 dirty:2 writeback:103 unstable:0
                slab_reclaimable:12742 slab_unreclaimable:3877
                mapped:33408 shmem:4727 pagetables:1546 bounce:0
                free:1674 free_pcp:554 free_cma:2
[73083.084915] Node 0 active_anon:338860kB inactive_anon:312640kB active_file:121924kB inactive_file:120684kB unevictable:32kB isolated(anon):0kB isolated(file):128kB mapped:133632kB dirty:8kB writeback:412kB shmem:18908kB writeback_tmp:0kB unstable:0kB pages_scanned:0 all_unreclaimable? no
[73083.084946] Normal free:6572kB min:3456kB low:4320kB high:5184kB active_anon:298064kB inactive_anon:184996kB active_file:80892kB inactive_file:112444kB unevictable:32kB writepending:412kB present:786432kB managed:763860kB mlocked:32kB slab_reclaimable:50968kB slab_unreclaimable:15508kB kernel_stack:2392kB pagetables:3740kB bounce:0kB free_pcp:2176kB local_pcp:584kB free_cma:0kB
[73083.084956] lowmem_reserve[]: 0 256 256

Not sure if related, but I also experience my USB keyboard occasionally getting stuck, repeatedly inputting the last character. Pressing any key stops it. This is the output from lsusb:

Bus 001 Device 004: ID 045e:0039 Microsoft Corp. IntelliMouse Optical
Bus 001 Device 005: ID 1c4f:0002 SiGma Micro Keyboard TRACER Gamma Ivory
Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp. SMSC9512/9514 Fast Ethernet Adapter
Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp. SMC9514 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Comment 1 Laura Abbott 2017-01-17 01:10:15 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Peter Robinson 2017-02-16 11:01:48 UTC
> Not sure if related, but I also experience my USB keyboard occasionally
> getting stuck, repeatedly inputting the last character. Pressing any key
> stops it. This is the output from lsusb:

Possibly, can you retest with 4.9.10


Note You need to log in before you can comment on or make changes to this bug.